#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - openssl-3 installation
#
# Creation   :  2023-03-28 holbru
# Last update:  $Id: install.sh 107239 2023-10-31 09:46:54Z hbfl $
#
# Copyright (c) 2023-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=openssl-3

# ---------------------------------------------------------------------------
# check for ssl link in /etc
# ---------------------------------------------------------------------------
create_link()
{
    cd /etc
    rm -f ssl
    ln -sf ../var/certs/ssl
}

if [ ! -L /etc/ssl ]
then
    create_link
elif [ ! $(readlink /etc/ssl) = '../var/certs/ssl' ]
then
    create_link
fi

# compability to solve SSL issue
# 'SSL verify error: depth=1 error=unable to get local issuer certificate'  
if [ ! -L /var/lib/ca-certificates/openssl ]
then
    mkdir -p /var/lib/ca-certificates
    cd  /var/lib/ca-certificates
    ln -sf ../../../etc/ssl/certs openssl
fi

#/usr/sbin/update-alternatives \
#    --install /usr/bin/openssl openssl /usr/bin/openssl-3 30 
#\
#    --slave   /usr/bin/fips_standalone_hmac fips_standalone_hmac /usr/bin/fips_standalone_hmac-3

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
